uniform float dx;
uniform float dy;
uniform float cx;
uniform float cy;
uniform float rad;

#define HOLE 0.3
#define AURA 0.3125

void main()
{
	float ox = gl_FragCoord.x - cx;
	float oy = gl_FragCoord.y - cy;
	float r = (ox * ox) + (oy * oy);
	if (rad == 0.0 || r > rad) discard;
	r = sqrt(r / rad);
	if (r <= HOLE) gl_FragColor = vec4(0.0, 0.0, 0.0, 1.0);
	else if (r <= AURA) gl_FragColor = vec4(0.5, 0.125, 0.5, 1.0);
	else gl_FragColor = vec4(0.125, 0.03125, 0.125, 0.25 + pow(r, 8.0) *  0.75);
}